### Name: unifilter
### Title: Function for Applying an UniFilter to an ExprTreeSet
### Aliases: unifilter xpsUniFilter-methods xpsUniFilter
### Keywords: manip

### ** Examples

## Not run: 
##D ## first, load ROOT scheme file and ROOT data file
##D scheme.test3 <- root.scheme(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))
##D data.test3 <- root.data(scheme.test3, paste(.path.package("xps"),"rootdata/DataTest3_cel.root",sep="/"))
##D 
##D ## second, create an ExprTreeSet
##D data.rma <- rma(data.test3,"tmp_Test3_RMA",tmpdir="",background="pmonly",normalize=TRUE,verbose=FALSE)
##D ## note: do not copy/paste this code, it is necessary only because R CMD check fails since it does not find tmp_Test3_RMA.root:
##D data.rma@rootfile <- paste(.path.package("xps"),"rootdata/tmp_Test3RMA.root",sep="/")
##D data.rma@filedir  <- paste(.path.package("xps"),"rootdata",sep="/")
##D 
##D ## third, construct an UniFilter
##D unifltr <- UniFilter(unitest=c("t.test","two.sided","none",0,0.0,FALSE,0.95,TRUE),foldchange=c(1.3,"both"),unifilter=c(0.1,"pval"))
##D 
##D ## finally, create an AnalysisTreeSet
##D rma.ufr <- unifilter(data.rma,"tmp_Test3Unifilter",getwd(),unifltr,group=c("GrpA","GrpA","GrpB","GrpB"),verbose=FALSE)
##D str(rma.ufr)
## End(Not run)



